Bug 191382 - NetworkManager doesn't set search in resolv.conf for vpnc
NetworkManager doesn't set search in resolv.conf for vpnc
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2006-05-11 10:27 EDT by Fernando Nasser
Modified: 2008-05-06 11:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2006-05-11 10:27:12 EDT
+++ This bug was initially created as a clone of Bug #146389 +++

Description of problem:
NM doesn't create the resolv.conf with a search directive so non-FQDNs don't
work. This is quite annoying.  Whatever fix was made it does not work for vpnc.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. connect to a vpnc network and get a dhcp address
2. Look into /etc/resolv.conf   No search line

Actual Results:  NM creates a resolv.conf that doesn't have the search
domain returned by the DHCP server.

Additional info:

We should have a place to specify those env variables that are used in the
creation of resolv.conf, perhaps in a per-connection basis
Comment 1 Dan Williams 2006-05-11 10:32:40 EDT
Are you sure your VPN concentrator is returning information about the domain
name?  It's passed to the script in the CISCO_DEF_DOMAIN environment variable. 
Sometimes administrators don't set this.  I think the fix here is to add a
Default Domain option to the vpnc config options.
Comment 2 Fernando Nasser 2006-05-19 09:30:41 EDT
I am adding Dong Hu, our system administrator, so that he can tell you if we
have this option set or not.

Comment 3 Bug Zapper 2008-04-03 22:52:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:53:34 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.